#### D.8.9.3 firstoct

Procedure from library `signcond.lib` (see signcond_lib).

Usage:
  firstoct(I); I ideal

Return:
  number: the number of points of V(I) lying in the first octant

Assume:
  I is given by a Groebner basis.

Example:

    LIB "signcond.lib";
    ring r = 0,(x,y),dp;
    ideal i = (x-2)*(x+3)*x,y*(y-1);
    firstoct(i);
    ==> 1

See also: signcnd.

User manual for Singular version 4.4.1, 2025, generated by texi2html.